Summary: Object Oriented Extension for Tcl
Name: xotcl
Version: 1.0
Release: 0
Copyright: open source
Group: Development/Languages
Source:  http://www.xotcl.org/xotcl-full-1.0.tar.gz
URL: http://www.xotcl.org
Packager: Gustaf.Neumann@wu-wien.ac.at
Distribution: RedHat 7.0
Requires: tcl
Prefix: /usr

%description
XOTcl is an object-oriented scripting language based on MIT's OTcl.
This packages provides a pre-packaged tcl-shell (xotclsh) and tk-shell
(xowish) together with the Tcl-extension (libxotcl.so) which can be
loaded to any Tcl-application. Furthermore it includes several
xotcl-based packages for e.g. HTTP client and server, XML, RDF,
persistent object store, mobile code system, etc. For more details
consult http://www.xotcl.org

%prep
%setup -q -n xotcl-full-1.0
./configure --with-tcl=/usr/lib --prefix=/usr --exec-prefix=/usr

%build
cd xotcl-1.0/unix
make

%install
make install

%files

%doc doc 
/usr/lib/xotcl1.0
/usr/bin/xotclsh1.0
/usr/bin/xowish1.0
/usr/bin/xotclsh
/usr/bin/xowish
/usr/lib/libxotcl1.0.so
/usr/lib/libxotclstub1.0.a
/usr/include/xotclDecls.h
/usr/include/xotcl.h
/usr/include/xotclIntDecls.h
/usr/include/xotclInt.h
/usr/doc/xotcl1.0